// integratorDlg.h : header file
//

#if !defined(AFX_INTEGRATORDLG_H__65ECDCA9_7EA0_4D59_BF49_F00F57D6B234__INCLUDED_)
#define AFX_INTEGRATORDLG_H__65ECDCA9_7EA0_4D59_BF49_F00F57D6B234__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CyAPI.h"

/////////////////////////////////////////////////////////////////////////////
// CIntegratorDlg dialog

class CIntegratorDlg : public CDialog
{
// Construction
public:
	CIntegratorDlg(CWnd* pParent = NULL);	// standard constructor

//	CCyUSBDevice *USBDevice;

//	CCyUSBEndPoint *OutEndpt;
//	CCyUSBEndPoint *InEndpt;

//	CWinThread *XferThread;

//	int DataFillMethod;
//	bool bLooping;

	//bool RegForUSBEvents(void);

// Dialog Data
	//{{AFX_DATA(CIntegratorDlg)
	enum { IDD = IDD_INTEGRATOR_DIALOG };
	CString	m_Status;
	CString	m_Disp_Data;
	int		m_Out_Sel;
	UINT	m_Delay;
	UINT	m_Gate;
	UINT	m_Samples;
	CString	m_Delay_Time;
	CString	m_Gate_Time;
	CString	m_Result;
	CString	m_FileName;
	BOOL	m_sample_acq;
	BOOL	m_ready;
	BOOL	m_idle;
	BOOL	m_int_empty;
	BOOL	m_int_full;
	BOOL	m_usb_empty;
	BOOL	m_usb_full;
	BOOL	m_delay_count;
	CString	m_ResetTime;
	int		m_ChSel;
	int		m_SrcSel;
	BOOL	m_Looping;
	int		m_ExtRstTime;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIntegratorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CIntegratorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnStart();
	afx_msg void OnReady();
	afx_msg void OnStatusBtn();
	afx_msg void OnReset();
	virtual void OnCancel();
	afx_msg void OnResDev();
	afx_msg void OnStartTX();
	afx_msg void OnChangeGate();
	afx_msg void OnFileSave();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INTEGRATORDLG_H__65ECDCA9_7EA0_4D59_BF49_F00F57D6B234__INCLUDED_)
